bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#31793: 26.1; (error "Lisp nesting exceeds ‘max-lisp-eval-depth’")


From: John Shahid
Subject: bug#31793: 26.1; (error "Lisp nesting exceeds ‘max-lisp-eval-depth’")
Date: Mon, 25 Jun 2018 13:59:13 +0000
User-agent: mu4e 1.1.0; emacs 27.0.50

Leo Liu <address@hidden> writes:

> On 2018-06-23 15:47 +0000, John Shahid wrote:
>> That seems to be a result of converting `global-eldoc-mode' to use
>> `define-globalized-minor-mode' in 2349f.
>
> Do you happen to know why post-command-hook doesn't protect itself from
> this error?

This is due to the globalized minor mode re-adding itself to the
`post-command-hook' in `,MODE-cmhh'. This only happens when the
major-mode changes in some buffer. In other words, you will run into
this only when trying to switch buffers or use the minibuffer. You can
still navigate the file, i.e. `next-line' is usually fine for me.

> This bug looks very serious because having to kill -9 emacs is
> serious.

I agree, but I can't think of a better way to avoid this problem aside
from the patch I attached earlier.

cheers,

-js





reply via email to

[Prev in Thread] Current Thread [Next in Thread]